import React from "react";
import { Link, withRouter } from "react-router-dom";
import NavDropdown from "./NavDropdown";
import { links } from "./config/navLinks";

class Navigation extends React.Component{
  render(){
    return (
      <div className="navigation">
        <nav className="navbar navbar-expand navbar-dark bg-dark">
          <div className="container">

            <Link className="navbar-brand" to="/">
              React Libraries
            </Link>

            <ul className="navbar-nav ml-auto">
              {links.map((link, idx) => (
                <li key={idx}>
                  <NavDropdown path={this.props.location.pathname} link={link} key={idx}/>
                </li>
              ))}
            </ul>

          </div>
        </nav>
      </div>
      );
    }
  }

export default withRouter(Navigation);
